Symptom

After migration, a standard client/server application from PowerBuilder 11.5 to 2017 not able to connect to the DBMS.

No code change prior to migration, Migration itself completed without issue, running in "interpretive" mode via PowerBuilder 2017 IDE works fine, as does an application exe created in exactly same manner as in PowerBuilder 11.5 on development system.

After moving the PowerBuilder application executable, and all required runtime files to client system, the "Connect using SQLCA" fails with sqlcode of -1, sqldbcode of 999, and sqlerrtext of "DBMS ASE is not supported in your current installation...". Trying to connect to ASE 15.0.3. Dev system, Client system, and DBMS all running on Windows.

Environment

PowerBuilder

Sybase ASE 15.0.3, EBF 16383

Reproducing the Issue

1. Move the PowerBuilder application executable to client machine.

2. Install the PowerBuilder runtime dlls.

3. Install the SAP ASE client software -- Software Developer's Kit.

4. Run the application executable and error message will appear--'DBMS ASE is not supported in your current installation'.

Cause

Missing PowerBuilder database driver dll.

Resolution

The PowerBuilder, pbsyc170.dll, was missing from the PowerBuilder runtime dlls. The pbsyc170.dll is required when you specify, <transaction>.dbms='syc' in your application code.

 

  • Up
    2
  • Down
    0